Skip to navigation

Get cloud storage provider configuration

View as Markdown
Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

serviceIdstringRequired

The ID of the service to access.

Valid values are the service name (“Box”) or the numerical serviceId (“4136”).

userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Query parameters

redirectUrlstringOptional

The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl.

The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains.

Response

Successful response.
storageProviderslist of objectsOptional
An Array containing the storage providers associated with the user.

Errors

400
Bad Request Error